<?xml version="1.0" encoding="UTF-8"?>
<phpunit backupGlobals="false"
         backupStaticAttributes="false"
         strict="true"
         bootstrap="vendor/autoload.php"
         verbose="true"
         timeoutForSmallTests="10">
  <testsuites>
    <testsuite name="Unit">
      <directory suffix="Test.php">tests/Unit/</directory>
    </testsuite>
    <testsuite name="Feature">
      <directory suffix="Test.php">tests/Feature/</directory>
    </testsuite>
  </testsuites>
  <filter>
    <whitelist addUncoveredFilesFromWhitelist="true">
      <directory suffix=".php">src/Service</directory>
    </whitelist>
  </filter>
  <logging>
    <log type="coverage-html" target="tests/coverage" charset="UTF-8"
         yui="true" highlight="true"
         lowUpperBound="50" highLowerBound="80"/>
    <log type="testdox-html" target="tests/coverage/testdox.html"/>
  </logging>
  <php>
    <env name="TESTING" value="true"/>
    <env name="RESOURCE_PROVIDER_CONFIG" value="tests/resource-providers.yaml"/>
  </php>
</phpunit>
